org.keycloak.jose.jws

## Class JWSHeader

- java.lang.Object
- - org.keycloak.jose.jws.JWSHeader

- All Implemented Interfaces:
    Serializable, JOSEHeader

      public class JWSHeader
      extends Object
      implements JOSEHeader

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWSHeader()`
    `JWSHeader(Algorithm algorithm, String type, String contentType)`
    `JWSHeader(Algorithm algorithm, String type, String contentType, String keyId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Algorithm` | `getAlgorithm()`
    `String` | `getContentType()`
    `String` | `getKeyId()`
    `String` | `getRawAlgorithm()` Returns the algorithm used to sign or encrypt the JWT from the JOSE header.
    `String` | `getType()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JWSHeader

          public JWSHeader()

    - #### JWSHeader

          public JWSHeader(Algorithm algorithm,
                           String type,
                           String contentType)

    - #### JWSHeader

          public JWSHeader(Algorithm algorithm,
                           String type,
                           String contentType,
                           String keyId)

  - ### Method Detail

    - #### getAlgorithm

          public Algorithm getAlgorithm()

    - #### getRawAlgorithm

          public String getRawAlgorithm()

      Description copied from interface: `JOSEHeader`
      Returns the algorithm used to sign or encrypt the JWT from the JOSE header.
      Specified by:
        `getRawAlgorithm` in interface `JOSEHeader`
      Returns:
        the algorithm from the JOSE header

    - #### getType

          public String getType()

    - #### getContentType

          public String getContentType()

    - #### getKeyId

          public String getKeyId()

      Specified by:
        `getKeyId` in interface `JOSEHeader`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.